#!/usr/bin/env python
# -*- coding: utf-8 -*-
import os

from distutils.core import setup, Command


class TestCommand(Command):
    user_options = []

    def initialize_options(self):
        pass

    def finalize_options(self):
        pass

    def run(self):
        """Run the project tests."""
        os.environ['DJANGO_SETTINGS_MODULE'] = 'django_project.settings'
        from django.test.simple import run_tests
        run_tests(['adminaudit'])


setup(
    name='django-adminaudit',
    version='0.1',
    description="Extends Django's admin logging capabilities",
    url='https://launchpad.net/django-adminaudit',
    author='Łukasz Czyżykowski',
    author_email='lukasz.czyzykowski@canonical.com',
    packages=[
        'adminaudit',
        'adminaudit.management',
        'adminaudit.management.commands',
    ],
    package_data={
        'adminaudit': [
            'templates/admin/adminaudit/auditlog/*.html',
            'templates/admin/*.html',
            'templates/adminaudit/*.txt',
        ],
    },
    license='AGPLv3',
    cmdclass={'test': TestCommand},
)
